Create Opportunity File (from URL)

Upload a file to an opportunity by providing its URL

Note: The /requests path is an alias for /opportunities and will continue to work until users are individually notified and migrated.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

opportunityIdstringRequired
Opportunity identifier

Request

This endpoint expects an object.
urlstringRequiredformat: "uri"
URL of the file to upload
namestringOptional
Name of the file
isArchivedbooleanOptionalDefaults to false
Whether the file is archived
phaseInstanceIdintegerOptional
Optional. The ID of the phase instance to use. If provided, the phase does not need to be started to upload a file. You can gather phase instance ids from the get opportunity endpoint.

Response

Successful response
idinteger
File identifier
namestring
File name
downloadUrlstring
URL to download the file
typestring
File type
updatedAtstringformat: "date-time"
Last update timestamp
createdAtstringformat: "date-time"
Creation timestamp
metaDataobject
sourcestring

File source (e.g., INTERNAL)

createdByUserobject
isArchivedboolean or null
Whether the file is archived

Errors